<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>{{page.layout.title}} | {% block title %}{% endblock %}</title>
  <link rel="shortcut icon" href="/static/img/favicon.ico">
  <link rel="stylesheet" href="/static/css/assets/OverlayScrollbars.min.css">
  <link rel="stylesheet" href="/static/css/assets/axolotl.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.3.0/css/flag-icon.min.css">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <script src="https://kit.fontawesome.com/792488f69e.js" crossorigin="anonymous"></script>
  {% block head %}{% endblock %}

</head>
<body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a class="nav-link">{{page.layout.translate("Today", page.user.lang)}}: <span id="axolotl-timer"></span></a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#" aria-expanded="false" data-toggle="tooltip" title="{{page.layout.translate('Language', page.user.lang)}}">
          <i class="flag-icon flag-icon-{{page.user.lang}}"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right p-0" style="left: inherit; right: 0px;">
          {% for lang in page.layout.langs %}
          <a class="dropdown-item" href="/language/set/{{lang[0]}}">
            <i class="flag-icon flag-icon-{{lang[0]}} mr-2"></i> {{lang[1]}}
          </a>
          {% endfor %}
        </div>
      </li>
      {% if page.user.category.code != 'admin' %}
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button" data-toggle="tooltip" title="{{page.layout.translate('Services', page.user.lang)}}">
          <i class="fas fa-cubes"></i>
        </a>
      </li>
      {% endif %}
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#" data-toggle="tooltip" title="{{page.layout.translate('Profile', page.user.lang)}}">
          <i class="far fa-user"></i> {{page.user.first_name}} {{page.user.last_name}}
        </a>
        <div class="dropdown-menu  dropdown-menu-right">
          <a href="/profile" class="dropdown-item">
            <i class="fas fa-user mr-2"></i> {{page.layout.translate("Profile", page.user.lang)}}
          </a>
          <div class="dropdown-divider"></div>
          <a href="/settings" class="dropdown-item">
            <i class="fas fa-cogs mr-2"></i> {{page.layout.translate("Settings", page.user.lang)}}
          </a>
          <div class="dropdown-divider"></div>
          <a href="/help" class="dropdown-item">
            <i class="fas fa-question-circle mr-2"></i> {{page.layout.translate("Help", page.user.lang)}}
          </a>
          <div class="dropdown-divider"></div>
          <a href="/logout" class="dropdown-item">
            <i class="fas fa-sign-out-alt mr-2"></i> {{page.layout.translate("Logout", page.user.lang)}}
          </a>
          <div class="dropdown-divider"></div>
        </div>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="/static/img/mini-logo.jpeg" alt="Axolotl Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">{{page.layout.company_name}}</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="info">
          <a href="#" class="d-block">{{page.layout.name}}{% if page.user.category.code == 'admin' %} | {{page.layout.translate("Admin", page.user.lang)}} {%else %} | {{page.user.first_name}} {{page.user.last_name}} {% endif %}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-header">{{page.layout.translate("MENU", page.user.lang)}}</li>
          {% if page.menu != [] %}
          {% for item in page.menu %}
          <li class="nav-header">{{page.layout.translate(item.name, page.user.lang)}}</li>
          {% if item.subs != [] %}
          {% for sub_item in item.subs %}
          {% if sub_item.subs == [] %}
          <li class="nav-item">
            <a href="{{sub_item.link}}" class="nav-link">
              <i class="fas fa-{{sub_item.icon}} nav-icon text-info"></i>
              <p>{{page.layout.translate(sub_item.name, page.user.lang)}}</p>
              {% if sub_item.badge != None %}
              <span class="badge badge-{{sub_item.badge.level}} right">{{sub_item.badge.content}}</span>
              {% endif %}
            </a>
          </li>
          {% else %}
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-{{sub_item.icon}} text-info"></i>
              <p>
                {{page.layout.translate(sub_item.name, page.user.lang)}}
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
            {% for sub_sub_item in sub_item.subs %}
              <li class="nav-item">
                <a href="{{sub_sub_item.link}}" class="nav-link">
                  <i class="fas fa-{{sub_sub_item.icon}} nav-icon"></i>
                  <p>{{page.layout.translate(sub_sub_item.name, page.user.lang)}}</p>
                  {% if sub_sub_item.badge != None %}
                  <span class="badge badge-{{sub_sub_item.badge.level}} right">{{sub_sub_item.badge.content}}</span>
                  {% endif %}
                </a>
              </li>
            {% endfor %}
            </ul>
          </li>
          {% endif %}
          {% endfor %}
          {% endif %}
          {% endfor %}
          {% endif %}
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-12">
            <h1 class="m-0 text-dark">{{page.layout.translate(page.title, page.user.lang)}}</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Insert page content -->
        {% block content %}{% endblock %}
        <!-- /. page content  -->
      </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  {% if page.user.category.code != 'admin' %}
  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
    <div class="p-3 control-sidebar-content os-host os-theme-light os-host-resize-disabled os-host-scrollbar-horizontal-hidden os-host-overflow os-host-overflow-y os-host-transition" style="height: 239px;">
      <div class="os-size-auto-observer" style="height: calc(100% + 1px); float: left;"></div>
        <div class="os-resize-observer-host">
          <div class="os-resize-observer observed" style="left: 0px; right: auto;"></div>
        </div>
        <div class="os-content-glue" style="margin: -16px; width: 249px; height: 425px;"></div>
          <div class="os-viewport os-viewport-native-scrollbars-invisible" style="overflow-y: scroll;">
            <div class="os-content" style="padding: 16px; height: 100%; width: 100%;">
              <h5>{{page.layout.translate("Services", page.user.lang)}}</h5>
              <hr class="mb-2">
               <div class="mb-1">
                <div class="info-box">
                  <span class="info-box-icon bg-success elevation-1">
                    <i class="fas fa-home"></i>
                  </span>
                  <div class="info-box-content">
                    <a href="/service/set/home"><span class="info-box-text">{{page.layout.translate("Home", page.user.lang)}}</span></a>
                  </div>
                </div>
              </div>
              {% for service in page.services %}
              <div class="mb-1">
                <div class="info-box">
                  <span class="info-box-icon bg-{{service.level}} elevation-1">
                    <i class="fas fa-{{service.icon}}"></i>
                  </span>
                  <div class="info-box-content">
                    <a href="{{service.link}}"><span class="info-box-text">{{page.layout.translate(service.name, page.user.lang)}}</span></a>
                  </div>
                </div>
              </div>
              {% endfor %}
            </div>
          </div>
        </div>
      </div>
    </div>
  </aside>
  <!-- /.control-sidebar -->
  {% endif %}

  <!-- Main Footer -->
  <footer class="main-footer">
    <strong>{{page.layout.copyright}}</strong>
    {{page.layout.name}} by <a href="{{page.layout.company_website}}">{{page.layout.company_name}}</a>.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> {{page.layout.version}}
    </div>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->
<script src="/static/js/plugins/jquery.min.js"></script>
<script src="/static/js/plugins/bootstrap.bundle.min.js"></script>
<script src="/static/js/plugins/jquery.overlayScrollbars.min.js"></script>
<script src="/static/js/plugins/raphael/raphael.min.js"></script>
<script src="/static/js/plugins/jquery.mousewheel.js"></script>
<script src="/static/js/plugins/jquery.mapael.min.js"></script>
<script src="/static/js/assets/axolotl.js"></script>
<script src="/static/js/layout.js"></script>

{% block subscribe_script %}{% endblock %}
</body>
</html>
